aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--README.md7
-rwxr-xr-xinstall9
2 files changed, 15 insertions, 1 deletions
diff --git a/README.md b/README.md
index d318ecf..03afb35 100644
--- a/README.md
+++ b/README.md
@@ -8,7 +8,12 @@ status the `failed` function is called.
## Installation
-Directly install `run`, `conf` and `battcheck` in a service directory.
+```
+# ./install /etc/sv/battd
+# ln -s /etc/sv/battd /var/service
+```
+
+Adjust the above as needed.
## Usage
diff --git a/install b/install
new file mode 100755
index 0000000..8d209c1
--- /dev/null
+++ b/install
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ -z "$1" ]; then
+ echo "Usage: $0 dest" >&2
+ exit 1
+fi
+
+install -Dm755 -t "$1" run battcheck
+install -Dm644 -t "$1" conf